devel/p5-PV - The NetBSD Packages Collection

Perl5 library for text-mode user interface widgets

I needed a basic text-mode GUI framework to implement some
nice-looking proggies on Linux. Didn't find any around, so necessity
became the mother of PerlVision. And this beast kept growing as I made
love to Perl, so now it's far from 'basic'. Provides 90% of the
features you'd want for a user interface, including checkboxes,
radiobuttons, three different styles (!) of pushbuttons, single and
multiple selection listboxes, an extensible editbox that does
autowrapping, a scrollable viewbox, single line text entry fields, a
menubar with pulldown menus, and full popup dialog boxes with multiple
controls.

Build dependencies

pkgtools/cwrappers

Runtime dependencies

devel/p5-Curses lang/perl5 lang/perl5

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 8.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 8.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 8.0i386p5-PV-1.5nb11.tgz
NetBSD 8.0i386p5-PV-1.5nb11.tgz
NetBSD 8.0i386p5-PV-1.5nb11.tgz
NetBSD 8.0powerpcp5-PV-1.5nb11.tgz
NetBSD 8.0powerpcp5-PV-1.5nb11.tgz
NetBSD 8.0powerpcp5-PV-1.5nb11.tgz
NetBSD 8.0x86_64p5-PV-1.5nb11.tgz
NetBSD 8.0x86_64p5-PV-1.5nb11.tgz
NetBSD 9.0aarch64p5-PV-1.5nb11.tgz
NetBSD 9.0aarch64p5-PV-1.5nb11.tgz
NetBSD 9.0aarch64p5-PV-1.5nb11.tgz
NetBSD 9.0alphap5-PV-1.5nb11.tgz
NetBSD 9.0alphap5-PV-1.5nb11.tgz
NetBSD 9.0alphap5-PV-1.5nb11.tgz
NetBSD 9.0earmp5-PV-1.5nb11.tgz
NetBSD 9.0earmv6hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv6hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv6hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv6hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 9.0earmv7hfp5-PV-1.5nb11.tgz
NetBSD 9.0i386p5-PV-1.5nb11.tgz
NetBSD 9.0i386p5-PV-1.5nb11.tgz
NetBSD 9.0mips64ebp5-PV-1.5nb11.tgz
NetBSD 9.0mips64ebp5-PV-1.5nb11.tgz
NetBSD 9.0mips64ebp5-PV-1.5nb11.tgz
NetBSD 9.0powerpcp5-PV-1.5nb11.tgz
NetBSD 9.0powerpcp5-PV-1.5nb11.tgz
NetBSD 9.0sparc64p5-PV-1.5nb11.tgz
NetBSD 9.0sparc64p5-PV-1.5nb11.tgz
NetBSD 9.0sparc64p5-PV-1.5nb11.tgz
NetBSD 9.0sparcp5-PV-1.5nb11.tgz
NetBSD 9.0sparcp5-PV-1.5nb11.tgz
NetBSD 9.0sparcp5-PV-1.5nb11.tgz
NetBSD 9.0x86_64p5-PV-1.5nb11.tgz
NetBSD 9.0x86_64p5-PV-1.5nb11.tgz
NetBSD 9.0x86_64p5-PV-1.5nb11.tgz
NetBSD 9.0x86_64p5-PV-1.5nb11.tgz
NetBSD 9.0x86_64p5-PV-1.5nb11.tgz
NetBSD 9.0x86_64p5-PV-1.5nb11.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.